Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.cluster.evaluate
Class PairF1Evaluator

    java.lang.Object
      cc.mallet.cluster.evaluate.ClusteringEvaluator
          cc.mallet.cluster.evaluate.PairF1Evaluator

    public class PairF1Evaluator

extends ClusteringEvaluator

Evaluates two clustering using pairwise comparisons. For each pair of Instances, compute false positives and false negatives as in classification performance, determined by whether the pair should be in the same cluster or not.

Since:
  1.0
Version:
  1.0
Author:
  "Aron Culotta"
See Also:
  `ClusteringEvaluator`

Constructor Summary
`PairF1Evaluator()`

Method Summary
`java.lang.String` | `evaluate(Clustering truth, Clustering predicted)`
`java.lang.String` | `evaluateTotals()`
`double[]` | `getEvaluationScores(Clustering truth, Clustering predicted)`

Methods inherited from class cc.mallet.cluster.evaluate.ClusteringEvaluator
`evaluate, evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PairF1Evaluator

    public PairF1Evaluator()

Method Detail

### evaluate

    public java.lang.String evaluate(Clustering truth,
                                     Clustering predicted)

  Specified by:
    `evaluate` in class `ClusteringEvaluator`
  Returns:
    A String summarizing the evaluation metric.

### evaluateTotals

    public java.lang.String evaluateTotals()

  Specified by:
    `evaluateTotals` in class `ClusteringEvaluator`
  Returns:
    If the ClusteringEvaluator maintains state between calls to evaluate, this method will return the total evaluation metric since the first evaluation.

### getEvaluationScores

    public double[] getEvaluationScores(Clustering truth,
                                        Clustering predicted)

  Specified by:
    `getEvaluationScores` in class `ClusteringEvaluator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD